$(document).ready(function(){

    // Make the first tab active
    var $_firstTab = $('#sp-config-tabs .tab').first();
    $_firstTab.addClass('active');

    var firstTabContentID = '#' + $_firstTab.attr('data-tab');
    $('#configuration_form .panel').first().show();

    // On tab click
    $('#sp-config-tabs .tab').on('click', function()
    {
        var tabContentID =  $(this).data('tab');
        $('#configuration_form .panel').animate({ opacity: 0 }, 0).css("display","none");
        $('[id^="'+tabContentID+'"]').css("display","block").animate({ opacity: 1 }, 200);

        $('#sp-config-tabs .tab').removeClass('active');
        $(this).addClass('active');
    });
	
	$('.fontOptions').trigger('change');
    
	
});


var handle_font_change = function(that,systemFonts){
    var systemFontsArr = systemFonts.split(',');
    var selected_font = $(that).val();
    var identi = $(that).attr('id');
	
    if(!$('#'+identi+'_link').size())
        $('head').append('<link id="'+identi+'_link" rel="stylesheet" type="text/css" href="" />');
    if($.inArray(selected_font, systemFontsArr)<0)
        $('link#'+identi+'_link').attr({href:'http://fonts.googleapis.com/css?family=' + selected_font.replace(' ', '+')});
    $('#'+identi+'_example').css('font-family',selected_font);
    
};




function ldcorreios_gera_uma_tabela_offline(idEspCorreios, idTabOffline, tipo) 
{
    var urlFuncoes='../modules/ldcorreios/ldfuncoes.php';
    var localretorno;
    localretorno = '#' + tipo + idTabOffline;
    $(localretorno).html('Gerando: tipo:' + tipo + ' :Aguarde... ');
    $.ajax({
        type: "POST",
        //async: false,
        url: urlFuncoes,
        data: {func: "1", idEspCorreios: idEspCorreios, idTabOffline: idTabOffline, tipo: tipo}
    }).done(function(retorno) {
        retorno = retorno.trim();
        console.log(retorno);
        if (retorno.substr(0, 4) != "erro") 
        {
            $(localretorno).html('Gerando: ' + retorno + ' Sucesso');
        }
    }).fail(function() {
        alert( "error" );
      });
 
}

//Executa estados um a um ate chegar no ultimo
function ldcorreios_gera_dados_offline(idEspCorreios, idTabOffline, tipo, idinicio) 
{

    var urlFuncoes='../modules/ldcorreios/ldfuncoes.php';
    var erro = false;
    var localparada = 27 + parseInt(idinicio);
    localparada = parseInt(localparada);
    var localprogresso = idTabOffline - idinicio;
    localprogresso = parseInt(localprogresso);
    // Chama funcoes.php
    $.ajax({
        type: "POST",
        //async: false,
        url: urlFuncoes,
        data: {func: "1", idEspCorreios: idEspCorreios, idTabOffline: idTabOffline, tipo: tipo}
    }).done(function(retorno) {
        porcentagem = localprogresso * 3.703703;
        $('.tabOffRetorno').html('Gerando: ' + tipo + ' ' + (porcentagem.toFixed(2)) + '%');
        retorno = retorno.trim();
        console.log('idesp' + idEspCorreios + ' - idtab ' + idTabOffline + ' - idtipo ' + tipo + ' - idini ' + idinicio.toString + ' - progresso ' + localprogresso.toString);
        console.log(retorno);
        if (retorno.substr(0, 4) != "erro") 
        {
            if(idTabOffline>=(localparada) && tipo =='capital')
            {
                idTabOffline=idinicio; tipo='cidade';
                ldcorreios_gera_dados_offline(idEspCorreios,idTabOffline,tipo,idinicio);
            }
            if(idTabOffline>=(localparada) && tipo =='cidade')
            {
                idTabOffline=idinicio; tipo='interior';
                ldcorreios_gera_dados_offline(idEspCorreios,idTabOffline,tipo,idinicio);
            }
            if(idTabOffline >=(localparada) && tipo=='interior')
            {
                $('.tabOffRetorno').html('Gerado com sucesso! ' + tipo + ' 100%');
                alert('Todas as tabelas foram geradas com sucesso! Recarregue a página para verificas o Status');
            }
            else
            {
                idTabOffline++;
                ldcorreios_gera_dados_offline(idEspCorreios,idTabOffline,tipo,idinicio);
            }
            
        }
    });
 
}